Bug 1389928 - AWS/OpenStack cloudprovider wasn't configured in master/node config
Summary: AWS/OpenStack cloudprovider wasn't configured in master/node config
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.2.1
Hardware: Unspecified
OS: Unspecified
high
low
Target Milestone: ---
: 3.2.1
Assignee: Scott Dodson
QA Contact: Gan Huang
URL:
Whiteboard:
Depends On: 1392365
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-29 14:07 UTC by Gan Huang
Modified: 2016-11-15 19:10 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previous versions of the openshift-ansible code base were not compatible with the latest Ansible 2.2.0.0 release. We have resolved several compatibility issues with the GA version of Ansible 2.2.0.0.
Clone Of: 1371006
Environment:
Last Closed: 2016-11-15 19:10:22 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2778 0 normal SHIPPED_LIVE Moderate: atomic-openshift-utils security and bug fix update 2016-11-16 00:08:29 UTC

Description Gan Huang 2016-10-29 14:07:21 UTC
+++ This bug was initially created as a clone of Bug #1371006 +++

Description of problem:
Set correct cloudprovider per "Cloud Provider Configuration" in https://github.com/openshift/openshift-ansible/blob/master/inventory/byo/hosts.ose.example#L130, it turned out that AWS/OpenStack cloudprovider doesn't work because of lacking of "cloud-provider" and "cloud-config" in node kubelet_args and master args.

Version-Release number of selected component (if applicable):
openshift-ansible.noarch 0:3.2.36-1.git.0.164eb4c.el7

How reproducible:
100%

Steps to Reproduce:
1. cat #inventory_hosts
<--snip-->
openshift_cloudprovider_kind=aws
openshift_cloudprovider_aws_access_key=xxx
openshift_cloudprovider_aws_secret_key=xxxxx
<--snip-->
2. Trigger the installation
3.

Actual results:
aws.conf not found in maser/node config.
[root@ip-172-18-15-87 ~]# grep -nir "aws.conf" /etc/origin/*
[root@ip-172-18-15-87 ~]# ll /etc/origin/cloudprovider/aws.conf 
-rw-r--r--. 1 root root 27 Aug 28 21:55 /etc/origin/cloudprovider/aws.conf

pvc created by cloudprovider was in pending status.

Expected results:
cloudprovider is configured correctly.

Additional info:

--- Additional comment from Gan Huang on 2016-08-29 03:17:33 EDT ---

Due to "Set cloud provider facts" was removed from  "roles/openshift_cloud_provider/tasks/main.yml", there is no keys of "cloudprovider" found in master/node facts.



--- Additional comment from Andrew Butcher on 2016-08-29 14:38:18 EDT ---

Proposed fix: https://github.com/openshift/openshift-ansible/pull/2374


--- Additional comment from Gan Huang on 2016-08-30 00:18:50 EDT ---

Verified with openshift-ansible-3.3.17-1.git.0.be4e0f9.el7.noarch.rpm

OpenStack/AWS cloudproviders are configured correctly. STI build successfully.

Comment 3 Gan Huang 2016-11-03 07:49:56 UTC
PR is not merged to openshift-ansible-3.2.37-1

Comment 5 Johnny Liu 2016-11-07 10:27:13 UTC
This bug's verification is blocked by 1392365.

Comment 6 Gan Huang 2016-11-08 10:47:09 UTC
Verified with openshift-ansible-3.2.39-1.git.0.2c9adff.el7.noarch.rpm

AWS/OpenStack cloudprovider were configured correctly, S2I build succeed.

Comment 7 errata-xmlrpc 2016-11-15 19:10:22 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2016:2778


Note You need to log in before you can comment on or make changes to this bug.